Subject: Re: bug#28442: 26.0.50; desktop-save-mode no longer restores correct frame size on macOS

From: martin rudalics <[email-masked]>
Date: Fri, 24 Nov 2017 10:01:26 +0100

> Yes, I think it’s the initial resize that happens and only if my size
 > is set with (setq frame-resize-pixelwise t). Ultimately that means
 > that Emacs doesn’t return to the size I want.

We'd probably need to save and restore two additional frame parameters
like 'text-pixel-width' and 'text-pixel-height' then.

 > I originally set out to submit
 > https://github.com/aaronjensen/restore-frame-position to MELPA and was
 > told about desktop-save-mode. If it’s behaving “as expected”, that is,
 > it should not respect frame-resize-pixelwise then maybe I’ll resubmit
 > to MELPA in case anyone else wants to restore frame position w/ pixel
 > precision.

Does `desktop-save-mode' have any problems restoring the frame position?

martin